cargo-shuttle(1)

NAME
cargo-shuttle - A cargo command for the Shuttle platform (https://www.shuttle.rs/)

SYNOPSIS
cargo-shuttle [--working-directory] [--name] [--api-url] [--offline] [--debug] [-h|--help] [-V|--version] [dummy] <subcommands>

DESCRIPTION
A cargo command for the Shuttle platform (https://www.shuttle.rs/)

See the CLI docs (https://docs.shuttle.rs/getting-started/shuttle-commands) for more information.

OPTIONS

--working-directory=WORKING_DIRECTORY [default: .]
    Specify the working directory

--name=NAME
    Specify the name of the project (overrides crate name)

--api-url=API_URL
    Run this command against the API at the supplied URL (allows targeting a custom deployed instance for this command only, mainly for development)
    May also be specified with the SHUTTLE_API environment variable.

--offline
    Disable network requests that are not strictly necessary. Limits some features
    May also be specified with the SHUTTLE_OFFLINE environment variable.

--debug
    Turn on tracing output for cargo-shuttle and shuttle libraries
    May also be specified with the SHUTTLE_DEBUG environment variable.

-h, --help
    Print help (see a summary with '-h')

-V, --version
    Print version

SUBCOMMANDS

cargo-shuttle-init(1)
    Create a new Shuttle project

cargo-shuttle-run(1)
    Run a Shuttle service locally

cargo-shuttle-deploy(1)
    Deploy a Shuttle service

cargo-shuttle-deployment(1)
    Manage deployments of a Shuttle service

cargo-shuttle-status(1)
    View the status of a Shuttle service

cargo-shuttle-stop(1)
    Stop this Shuttle service

cargo-shuttle-logs(1)
    View the logs of a deployment in this Shuttle service

cargo-shuttle-project(1)
    List or manage projects on Shuttle

cargo-shuttle-resource(1)
    Manage resources of a Shuttle project

cargo-shuttle-clean(1)
    Remove cargo build artifacts in the Shuttle environment

cargo-shuttle-login(1)
    Login to the Shuttle platform

cargo-shuttle-logout(1)
    Log out of the Shuttle platform

cargo-shuttle-generate(1)
    Generate shell completions and man page

cargo-shuttle-feedback(1)
    Open an issue on GitHub and provide feedback

cargo-shuttle-help(1)
    Print this message or the help of the given subcommand(s)

VERSION
v0.46.0

NAME
init - Create a new Shuttle project

SYNOPSIS
init [-t|--template] [--from] [--subfolder] [--force-name] [--create-env] [--no-git] [--api-key] [-h|--help] [PATH]

DESCRIPTION
Create a new Shuttle project

OPTIONS

-t, --template=TEMPLATE
    Clone a starter template from Shuttle's official examples
    Possible values:

    •   axum: Axum - Modular web framework from the Tokio ecosystem

    •   actix-web: Actix Web - Powerful and fast web framework

    •   rocket: Rocket - Simple and easy-to-use web framework

    •   loco: Loco - Batteries included web framework based on Axum

    •   salvo: Salvo - Powerful and simple web framework

    •   poem: Poem - Full-featured and easy-to-use web framework

    •   poise: Poise - Discord Bot framework with good slash command support

    •   serenity: Serenity - Discord Bot framework

    •   tower: Tower - Modular service library

    •   thruster: Thruster - Web framework

    •   tide: Tide - Web framework

    •   warp: Warp - Web framework

    •   none: No template - Make a custom service

--from=FROM
    Clone a template from a git repository or local path using cargo-generate

--subfolder=SUBFOLDER
    Path to the template in the source (used with --from)

--force-name
    Don't check the project name's validity or availability and use it anyways

--create-env
    Whether to start the container for this project on Shuttle, and claim the project name

--no-git
    Don't initialize a new git repository

--api-key=API_KEY
    API key for the Shuttle platform

-h, --help
    Print help (see a summary with '-h')

[PATH] [default: .]
    Path where to place the new Shuttle project

NAME
run - Run a Shuttle service locally

SYNOPSIS
run [-p|--port] [--external] [-r|--release] [--raw] [--secrets] [-h|--help]

DESCRIPTION
Run a Shuttle service locally

OPTIONS

-p, --port=PORT [default: 8000]
    Port to start service on
    May also be specified with the PORT environment variable.

--external
    Use 0.0.0.0 instead of localhost (for usage with local external devices)

-r, --release
    Use release mode for building the project

--raw
    Don't display timestamps and log origin tags

--secrets=SECRETS
    Use this secrets file instead

-h, --help
    Print help

NAME
deploy - Deploy a Shuttle service

SYNOPSIS
deploy [--allow-dirty] [--no-test] [--raw] [--secrets] [-h|--help]

DESCRIPTION
Deploy a Shuttle service

OPTIONS

--allow-dirty
    Allow deployment with uncommitted files

--no-test
    Don't run pre-deploy tests

--raw
    Don't display timestamps and log origin tags

--secrets=SECRETS
    Use this secrets file instead

-h, --help
    Print help

NAME
deployment - Manage deployments of a Shuttle service

SYNOPSIS
deployment [-h|--help] <subcommands>

DESCRIPTION
Manage deployments of a Shuttle service

OPTIONS

-h, --help
    Print help

SUBCOMMANDS

deployment-list(1)
    List all the deployments for a service

deployment-status(1)
    View status of a deployment

deployment-help(1)
    Print this message or the help of the given subcommand(s)

NAME
list - List all the deployments for a service

SYNOPSIS
list [--page] [--limit] [--raw] [-h|--help]

DESCRIPTION
List all the deployments for a service

OPTIONS

--page=PAGE [default: 1]
    Which page to display

--limit=LIMIT [default: 10]
    How many projects per page to display

--raw
    Output table without borders

-h, --help
    Print help

NAME
status - View status of a deployment

SYNOPSIS
status [-h|--help] [ID]

DESCRIPTION
View status of a deployment

OPTIONS

-h, --help
    Print help

[ID]
    ID of deployment to get status for

NAME
status - View the status of a Shuttle service

SYNOPSIS
status [-h|--help]

DESCRIPTION
View the status of a Shuttle service

OPTIONS

-h, --help
    Print help

NAME
stop - Stop this Shuttle service

SYNOPSIS
stop [-h|--help]

DESCRIPTION
Stop this Shuttle service

OPTIONS

-h, --help
    Print help

NAME
logs - View the logs of a deployment in this Shuttle service

SYNOPSIS
logs [-l|--latest] [-f|--follow] [--raw] [--head] [--tail] [--all] [--all-deployments] [-h|--help] [ID]

DESCRIPTION
View the logs of a deployment in this Shuttle service

OPTIONS

-l, --latest
    View logs from the most recent deployment (which is not always the latest running one)

-f, --follow
    Follow log output

--raw
    Don't display timestamps and log origin tags

--head=HEAD
    View the first N log lines

--tail=TAIL
    View the last N log lines

--all
    View all log lines

--all-deployments
    Get logs from all deployments instead of one deployment

-h, --help
    Print help

[ID]
    Deployment ID to get logs for. Defaults to the current deployment

NAME
project - List or manage projects on Shuttle

SYNOPSIS
project [-h|--help] <subcommands>

DESCRIPTION
List or manage projects on Shuttle

OPTIONS

-h, --help
    Print help

SUBCOMMANDS

project-start(1)
    Create an environment for this project on Shuttle

project-status(1)
    Check the status of this project's environment on Shuttle

project-stop(1)
    Destroy this project's environment (container) on Shuttle

project-restart(1)
    Destroy and create an environment for this project on Shuttle

project-list(1)
    List all projects you have access to

project-delete(1)
    Delete a project and all linked data

project-help(1)
    Print this message or the help of the given subcommand(s)

NAME
start - Create an environment for this project on Shuttle

SYNOPSIS
start [--idle-minutes] [-h|--help]

DESCRIPTION
Create an environment for this project on Shuttle

OPTIONS

--idle-minutes=IDLE_MINUTES [default: 30]
    How long to wait before putting the project in an idle state due to inactivity. 0 means the project will never idle

-h, --help
    Print help

NAME
status - Check the status of this project's environment on Shuttle

SYNOPSIS
status [-f|--follow] [-h|--help]

DESCRIPTION
Check the status of this project's environment on Shuttle

OPTIONS

-f, --follow
    Follow status of project command

-h, --help
    Print help

NAME
stop - Destroy this project's environment (container) on Shuttle

SYNOPSIS
stop [-h|--help]

DESCRIPTION
Destroy this project's environment (container) on Shuttle

OPTIONS

-h, --help
    Print help

NAME
restart - Destroy and create an environment for this project on Shuttle

SYNOPSIS
restart [--idle-minutes] [-h|--help]

DESCRIPTION
Destroy and create an environment for this project on Shuttle

OPTIONS

--idle-minutes=IDLE_MINUTES [default: 30]
    How long to wait before putting the project in an idle state due to inactivity. 0 means the project will never idle

-h, --help
    Print help

NAME
list - List all projects you have access to

SYNOPSIS
list [--page] [--limit] [--raw] [-h|--help]

DESCRIPTION
List all projects you have access to

OPTIONS

--page=PAGE [default: 1]
    (deprecated) Which page to display

--limit=LIMIT [default: 15]
    (deprecated) How many projects per page to display

--raw
    Output table without borders

-h, --help
    Print help

NAME
delete - Delete a project and all linked data

SYNOPSIS
delete [-y|--yes] [-h|--help]

DESCRIPTION
Delete a project and all linked data

OPTIONS

-y, --yes
    Skip confirmations and proceed

-h, --help
    Print help

NAME
resource - Manage resources of a Shuttle project

SYNOPSIS
resource [-h|--help] <subcommands>

DESCRIPTION
Manage resources of a Shuttle project

OPTIONS

-h, --help
    Print help

SUBCOMMANDS

resource-list(1)
    List all the resources for a project

resource-delete(1)
    Delete a resource

resource-help(1)
    Print this message or the help of the given subcommand(s)

NAME
list - List all the resources for a project

SYNOPSIS
list [--raw] [--show-secrets] [-h|--help]

DESCRIPTION
List all the resources for a project

OPTIONS

--raw
    Output table without borders

--show-secrets
    Show secrets from resources (e.g. a password in a connection string)

-h, --help
    Print help

NAME
delete - Delete a resource

SYNOPSIS
delete [-y|--yes] [-h|--help] <RESOURCE_TYPE>

DESCRIPTION
Delete a resource

OPTIONS

-y, --yes
    Skip confirmations and proceed

-h, --help
    Print help

<RESOURCE_TYPE>
    Type of the resource to delete. Use the string in the 'Type' column as displayed in the `resource list` command. For example, 'database::shared::postgres'

NAME
clean - Remove cargo build artifacts in the Shuttle environment

SYNOPSIS
clean [-h|--help]

DESCRIPTION
Remove cargo build artifacts in the Shuttle environment

OPTIONS

-h, --help
    Print help

NAME
login - Login to the Shuttle platform

SYNOPSIS
login [--api-key] [-h|--help]

DESCRIPTION
Login to the Shuttle platform

OPTIONS

--api-key=API_KEY
    API key for the Shuttle platform

-h, --help
    Print help

NAME
logout - Log out of the Shuttle platform

SYNOPSIS
logout [--reset-api-key] [-h|--help]

DESCRIPTION
Log out of the Shuttle platform

OPTIONS

--reset-api-key
    Reset the API key before logging out

-h, --help
    Print help

NAME
generate - Generate shell completions and man page

SYNOPSIS
generate [-h|--help] <subcommands>

DESCRIPTION
Generate shell completions and man page

OPTIONS

-h, --help
    Print help

SUBCOMMANDS

generate-shell(1)
    Generate shell completions

generate-manpage(1)
    Generate man page to the standard output

generate-help(1)
    Print this message or the help of the given subcommand(s)

NAME
shell - Generate shell completions

SYNOPSIS
shell [-o|--output] [-h|--help] <SHELL>

DESCRIPTION
Generate shell completions

OPTIONS

-o, --output=OUTPUT
    Output to a file (stdout by default)

-h, --help
    Print help

<SHELL>
    The shell to generate shell completion for
    [possible values: bash, elvish, fish, powershell, zsh]

NAME
manpage - Generate man page to the standard output

SYNOPSIS
manpage [-h|--help]

DESCRIPTION
Generate man page to the standard output

OPTIONS

-h, --help
    Print help

NAME
feedback - Open an issue on GitHub and provide feedback

SYNOPSIS
feedback [-h|--help]

DESCRIPTION
Open an issue on GitHub and provide feedback

OPTIONS

-h, --help
    Print help